cc.funkemunky.bungee

## Class AtlasBungee

- java.lang.Object
- - net.md_5.bungee.api.plugin.Plugin
  - - cc.funkemunky.bungee.AtlasBungee

    public class AtlasBungee
    extends net.md_5.bungee.api.plugin.Plugin

### Field Summary

Fields
`java.util.concurrent.ScheduledExecutorService` `executorService`
`static AtlasBungee` `INSTANCE`
`java.lang.String` `outChannel`

### Constructor Summary

Constructors
Constructor and Description
`AtlasBungee()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initializeScanner(java.lang.Class<? extends net.md_5.bungee.api.plugin.Plugin> mainClass, net.md_5.bungee.api.plugin.Plugin plugin, boolean loadListeners)`
`void` `initializeScanner(net.md_5.bungee.api.plugin.Plugin plugin)`
`void` `initializeScanner(net.md_5.bungee.api.plugin.Plugin plugin, boolean loadListeners)`
`void` `onEnable()`

### Methods inherited from class net.md_5.bungee.api.plugin.Plugin

`getDataFolder, getDescription, getExecutorService, getFile, getLogger, getProxy, getResourceAsStream, onDisable, onLoad`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static AtlasBungee INSTANCE

#### outChannel

    public java.lang.String outChannel

#### executorService

    public java.util.concurrent.ScheduledExecutorService executorService

### Constructor Detail

#### AtlasBungee

    public AtlasBungee()

### Method Detail

#### onEnable

    public void onEnable()

Overrides:
  `onEnable` in class `net.md_5.bungee.api.plugin.Plugin`

#### initializeScanner

    public void initializeScanner(java.lang.Class<? extends net.md_5.bungee.api.plugin.Plugin> mainClass,
                                  net.md_5.bungee.api.plugin.Plugin plugin,
                                  boolean loadListeners)

#### initializeScanner

    public void initializeScanner(net.md_5.bungee.api.plugin.Plugin plugin,
                                  boolean loadListeners)

#### initializeScanner

    public void initializeScanner(net.md_5.bungee.api.plugin.Plugin plugin)